%define pkg_name        DateTime-Event-Chinese
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 1.n0i.1

Summary:       DateTime Extension for Calculating Important Chinese Dates
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DM/DMAKI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Event::Lunar) >= 0.06
BuildRequires: perl(DateTime::Event::SolarTerm) >= 0.05
BuildRequires: perl(DateTime::Util::Astro) >= 0.11
BuildRequires: perl(Math::Round)
BuildRequires: perl(Params::Validate)


%description
This modules implements the algorithm described in "Calendrical Calculations"
to compute some important Chinese dates, such as date of new year and other
holidays (Currently only new years can be calculated).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES LICENSE


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.05
